Get contact activity timeline
Returns a paginated timeline of a contact's message activity, optionally filtered by channel.
Returns a paginated timeline of a contact's message activity, optionally filtered by channel.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^contact_[0-9a-hjkmnp-tv-z]{16,24}$Query Parameters
page?string|null
limit?string|null
channel?|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/contacts/string/activity"{ "items": [ { "id": "string", "channel": "string", "direction": "string", "status": "string", "subject": "string", "snippet": "string", "createdAt": "string", "conversationId": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}